Subject: bug#23575: closed (Re: today's commit 374f6a5 makes flyspell highlight everything after end of line)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 May 2016 15:05:01 +0000

Your bug report

#23575: today's commit 374f6a5 makes flyspell highlight everything after end of line

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23575: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23575
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: today's commit 374f6a5 makes flyspell highlight everything after end of line
From: Paul Eggert <[email-masked]>
To: Jim Meyering <[email-masked]>, [email-masked]
Date: Thu, 19 May 2016 08:04:43 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for reporting that. It was a refactoring typo. I fixed it in 
master with the attached.

Subject: today's commit 374f6a5 makes flyspell highlight everything after end of line
From: Jim Meyering <[email-masked]>
To: [email-masked], Paul Eggert <[email-masked]>
Date: Wed, 18 May 2016 11:22:58 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Paul,

Commit 374f6a5f34a83d3e4c518f0726558642293fdd71 "Port
--enable-gcc-warnings to GCC 6.1" has introduced a
flyspell-highlighting bug.

Reproduce with this:

  echo jj > k.texi; /p/p/emacs-2016-05-18.10h25/bin/emacs -nw -Q k.texi

When I then type 'flyspell-mode' and ENTER, I see the "jj" and the
rest of that line filled with red underscores.

Without that commit, flyspell-mode works as expected.